Bug 716489 - (CVE-2011-2503) CVE-2011-2503 systemtap: signed module loading race condition
CVE-2011-2503 systemtap: signed module loading race condition
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110725,reported=20110623,sou...
: Security
Depends On: 717594 717596 717599 717600 725578
Blocks: 716497
  Show dependency treegraph
 
Reported: 2011-06-24 12:00 EDT by Jan Lieskovsky
Modified: 2015-07-31 09:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: systemtap 1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-01 16:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
read instead of mmap to load modules (3.03 KB, patch)
2011-06-25 01:25 EDT, Josh Stone
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-06-24 12:00:58 EDT
A time-of-check time-of-use (TOCTOU) race condition was found in the way
systemtap runtime tool (staprun) performed module loading. A small time gap
between performing module sanity checks and actual, real loading of the
module into the kernel, was present. A local user, member of the 'stapusr'
group could use this flaw to escalate their privileges.
Comment 6 Josh Stone 2011-06-25 01:25:16 EDT
Created attachment 509875 [details]
read instead of mmap to load modules
Comment 9 Jan Lieskovsky 2011-06-27 09:08:08 EDT
This issue affects the version of the systemtap package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the systemtap package, as shipped with
Fedora release of 14 and 15.
Comment 21 Vincent Danen 2011-07-25 17:44:55 EDT
Created systemtap tracking bugs for this issue

Affects: fedora-all [bug 725578]
Comment 22 errata-xmlrpc 2011-07-25 17:46:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1089 https://rhn.redhat.com/errata/RHSA-2011-1089.html
Comment 23 errata-xmlrpc 2011-07-25 17:46:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1088 https://rhn.redhat.com/errata/RHSA-2011-1088.html

Note You need to log in before you can comment on or make changes to this bug.